#!/bin/bash

#choose random generator
#for usable algorithms look into the manual at
#http://sources.redhat.com/gsl/ref/gsl-ref_10.html#SEC166
#note there seems a bug so it is disabled by default
#look for gsl_rng_env_setup(); in agesystem.cxx
export GSL_RNG_TYPE="mt19937" 
export GSL_RNG_SEED=0

#change to dir in proper mount point
dir=/tmp/agesystemtest

#change distribution 
mparam=4096:65536:1048576
lparam=0:4096:65536
#write until percentage of used blocks is uparam
uparam=99
#number of dirs to use
#will be put in up to 100 dirs
numdirs=5000

#skript start here
make clean
make agesystem 
#make agesystem EXTRADEF=-DNONE

mkdir $dir
./agesystem -d $dir -c $numdirs -u $uparam -m $mparam -l $lparam $*
